Patch Connection (BETA)

Required roles: broadband-c

Creates a change transaction to modify the connection based on the provided patch request.

⚠️ This endpoint allows for broad modifications to a connection. Because it handles complex nested structures,
it is easy to inadvertently misconfigure or delete components.

Instead of applying a patch to the complete connection, prefer using one of the simpler patch endpoints instead:

To update specific nested fields, you must provide the full path in the JSON body.
Fields not included in the request will remain unchanged.

{
    "carrier": {
       "product": {
          "uuid": $NEW_PRODUCT_UUID
       }
    }
}

When updating lists (e.g. for circuit or routing updates), any list items not present in the order will be removed.
To keep (but not modify) a list item, include the item with only it's UUID:

{
    "circuits": [
        {
            "uuid": $FIRST_CIRCUIT_UUID, # <-- To identify objects in a list, the object UUID is required.
            "product": {
                "uuid": $NEW_CIRCUIT_PRODUCT_UUID  <-- For the first circuit, the product will change.
            }
        }
        {
            "uuid": $SECOND_CIRCUIT_UUID, # <-- By sending just the UUID, the second circuit will be kept unchanged.
        }
    ]
}

Use the PATCH endpoint for complex connection modifications that require multiple changes in one transaction.
This is the only endpoint that supports simultaneous carrier and circuit product updates necessary for a complete
technology change, like upgrading a connection from ADSL to VDSL.

ℹ️ This endpoint starts a new change transaction. A broadband connection can have only one open transaction at a time. Changes that require a new transaction will be rejected until the current transaction is either finished or cancelled.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
uuid
required
Body Params
carrier
object
circuits
array of objects
circuits
sla
object
end_user
object
location_contacts
array
location_contacts
additional_properties
object
Defaults to [object Object]
additional_products
array of objects
Defaults to []
Additional Products
Responses

Language
Credentials
OAuth2
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json